Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.score.director.easy
Class EasyScoreDirectorFactory

    java.lang.Object
      org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory
          org.optaplanner.core.impl.score.director.easy.EasyScoreDirectorFactory

All Implemented Interfaces:
  InnerScoreDirectorFactory, ScoreDirectorFactory

    public class EasyScoreDirectorFactory

extends AbstractScoreDirectorFactory

Easy implementation of `ScoreDirectorFactory`.

See Also:
  `EasyScoreDirector`, `ScoreDirectorFactory`

Field Summary

Fields inherited from class org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory
`assertionScoreDirectorFactory, initializingScoreTrend, logger, scoreDefinition, solutionDescriptor`

Constructor Summary
`EasyScoreDirectorFactory(EasyScoreCalculator easyScoreCalculator)`

Method Summary
`EasyScoreDirector` | `buildScoreDirector()` Creates a new `ScoreDirector` instance.
`EasyScoreCalculator` | `getEasyScoreCalculator()`

Methods inherited from class org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory
`assertScoreFromScratch, getAssertionScoreDirectorFactory, getInitializingScoreTrend, getScoreDefinition, getSolutionDescriptor, setAssertionScoreDirectorFactory, setInitializingScoreTrend, setScoreDefinition, setSolutionDescriptor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EasyScoreDirectorFactory

    public EasyScoreDirectorFactory(EasyScoreCalculator easyScoreCalculator)

Method Detail

### getEasyScoreCalculator

    public EasyScoreCalculator getEasyScoreCalculator()

### buildScoreDirector

    public EasyScoreDirector buildScoreDirector()

  Description copied from interface: `ScoreDirectorFactory`
  Creates a new `ScoreDirector` instance.

  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.